<template>
  <q-layout view="hHh lpR fFf" class="page" aria-label="XBRL Taxonomy Viewer" role="region">

    <q-header bordered class="bg-primary text-white" role="region" aria-label="Header">
      <q-toolbar>
        <q-toolbar-title>
          <q-avatar>
            <a href="/" title="Back home"><img src="~assets/nessie.svg" alt="Nessie"></a>
          </q-avatar>
          Logius - Kenniscentrum XBRL <span class="appname">Taxonomy viewer</span>
        </q-toolbar-title>
      </q-toolbar>
    </q-header>

    <div class="q-pa-md welcome" role="region" aria-label="Main">
      <div class="row justify-center q-gutter-md">
        <q-card class="col-10" role="region" aria-label="NT Versie">
          <div class="ep_wrapper q-ma-md">
            <div class="fake-footer">
              <EntrypointChooser></EntrypointChooser>
            </div>
          </div>
          <q-card-section>
            <div class="text-subtitle1">
              <p>
                Met behulp van deze XBRL-taxnomyviewer is het mogelijk om inzicht te verkrijgen in de inhoud en opbouw
                van de Nederlandse Taxonomie (NT). Jaarlijks verschijnen er meerdere updates van de NT. Om de viewer te
                gebruiken kies je eerste links de NT versie van de taxonomy die je wilt bekijken.
              </p>
              <p>
                Daarna zie je in de rechter dropdown een lijst van beschikbare entrypoints voor de eerder gekozen NT
                Versie. De lijst is filterbaar door in het invoerveld een deel van de naam te typen.
              </p>
              <p>
                Klik 'Toon' en het entrypoint zal zich openen.
              </p>
            </div>
          </q-card-section>
        </q-card>
      </div>
      <div class="row justify-center q-gutter-md q-pt-md">
        <div class="col-10">
          <WelcomeCarousel></WelcomeCarousel>
        </div>
      </div>
    </div>

    <q-footer role="region" aria-label="Footer">
      <q-toolbar class="bg-white text-primary">

        <q-toolbar-title>
          <div class="footer__help q-pl-md cursor-pointer">
            <q-icon size="lg" name="help_outline"
                    @click="(hide_help === 'hidden') ? hide_help = '' : hide_help = 'hidden'"></q-icon>
            <a href="https://www.sbr-nl.nl/over-sbr/kenniscentrum-xbrl" target="_blank" title="Kenniscentrum XBRL"
               style="text-decoration: none">
              <q-icon name="domain"></q-icon>
            </a>
            <a href="/admin" title="Toolkit voor ingelogde gebruikers" class="float-right q-ml-xl">
              <q-img src="~/assets/authentication.png" style="height: 36px; width: 36px;"></q-img>
            </a>
          </div>

        </q-toolbar-title>
      </q-toolbar>
    </q-footer>
    <q-card class="help_card shadow-3" :class="hide_help">
      <Help section="algemeen" @close_help="hide_help = 'hidden'"></Help>
    </q-card>

  </q-layout>
</template>

<script>
import {defineComponent, ref} from 'vue'
import WelcomeCarousel from "components/WelcomeCarousel";
import Help from "layouts/Help";
import EntrypointChooser from "components/EntrypointChooser";

export default defineComponent({
  name: 'MainLayout',

  components: {EntrypointChooser, WelcomeCarousel, Help},

  setup() {
    const leftDrawerOpen = ref(false)

    return {
      leftDrawerOpen,
      toggleLeftDrawer() {
        leftDrawerOpen.value = !leftDrawerOpen.value
      }
    }
  },
  data() {
    return {query: null, hide_help: 'hidden'}
  },
  methods: {
    do_search: function (evt) {
      this.$router.push({name: "search", params: {query: this.query}});
    }
  }
})
</script>

<style scoped lang="scss">
.page {
  background-color: $detail_bg;
}

.ep_wrapper {
  background-color: gold;
}

.fake-footer {
  background-color: $primary;
  padding: 20px;
}

.appname {
  display: inline-block;
  padding-left: 50px;
  font-weight: bold;
  color: $blue-2;
}

.welcome {
  padding-top: 80px;
}

.inline-flex {
  display: inline-flex;
  justify-content: center;
}
</style>
